/**
 * The Amazon ActiveMQ Broker Engine version.
 *
 * @see https://docs.aws.amazon.com/amazon-mq/latest/developer-guide/activemq-version-management.html
 */
export declare class ActiveMqBrokerEngineVersion {
    private readonly version;
    static readonly V5_18: ActiveMqBrokerEngineVersion;
    /** it is recommended to use V5_18 instead */
    static readonly V5_17_6: ActiveMqBrokerEngineVersion;
    /** @deprecated use V5_18 instead */
    static readonly V5_16_7: ActiveMqBrokerEngineVersion;
    static of(version: string): ActiveMqBrokerEngineVersion;
    protected constructor(version: string);
    toString(): string;
}
