import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for EsmDeleterOnEventFunction
 */
export interface EsmDeleterOnEventFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/mq-esm/esm-deleter.on-event.
 */
export declare class EsmDeleterOnEventFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: EsmDeleterOnEventFunctionProps);
}
