export interface SecretDynamicRefereceComponents {
    readonly secretId: string;
    readonly secretString?: "SecretString";
    readonly jsonKey?: string;
    readonly versionStage?: string;
    readonly versionId?: string;
}
export declare class SecretsDynamicRefereceParser {
    private static get regex();
    static looksLikeSecretDynamicReference(text: string): boolean;
    static parse(text: string): SecretDynamicRefereceComponents | undefined;
}
