import * as AWSLambda from "aws-lambda";
/**
 * Serialized form of the physical resource id for use in the operation parameters
 */
export declare const PHYSICAL_RESOURCE_ID_REFERENCE = "PHYSICAL:RESOURCEID:";
export declare function decodeCall(call: string | undefined): any;
export declare function respond(event: AWSLambda.CloudFormationCustomResourceEvent, responseStatus: string, reason: string, physicalResourceId: string, data: any): Promise<unknown>;
export declare function safeParse(call?: string | null): any;
export declare function filterKeys(object: object, pred: (key: string) => boolean): {};
export declare function startsWithOneOf(searchStrings: string[]): (string: string) => boolean;
export declare function flattenObj(ob: {
    [key: string]: any;
}): {
    [key: string]: any;
};
