import { SecretDynamicRefereceComponents } from "./secret";
import { StringParameterDynamicRefereceComponents } from "./string-parameter";
export declare class DynamicReferenceExtractor {
    private static get regex();
    static extract(text: string): [
        ({
            reference: string;
            components: SecretDynamicRefereceComponents;
        }[] | undefined),
        ({
            reference: string;
            components: StringParameterDynamicRefereceComponents;
        }[] | undefined)
    ];
}
