/**
 * The Amazon RabbitMQ Broker Engine version.
 *
 * @see https://docs.aws.amazon.com/amazon-mq/latest/developer-guide/rabbitmq-version-management.html
 */
export declare class RabbitMqBrokerEngineVersion {
    private readonly version;
    static readonly V3_13: RabbitMqBrokerEngineVersion;
    /** @deprecated use V3_13 instead */
    static readonly V3_12_13: RabbitMqBrokerEngineVersion;
    /** @deprecated use V3_13 instead */
    static readonly V3_11_28: RabbitMqBrokerEngineVersion;
    /** @deprecated use V3_13 instead */
    static readonly V3_11_20: RabbitMqBrokerEngineVersion;
    /** @deprecated use V3_13 instead */
    static readonly V3_11_16: RabbitMqBrokerEngineVersion;
    static of(version: string): RabbitMqBrokerEngineVersion;
    protected constructor(version: string);
    toString(): string;
}
